%define major 0
%define libname %mklibname kolab %major
%define develname %mklibname %{name} -d

Name:           libcalendaring
Version:        4.9.1
Release:        %mkrel 1
Summary:        Library for Calendaring

Group:          System/Servers
License:        LGPLv2+
URL:            http://www.kolab.org/about/libcalendaring

Source0:        https://cgit.kolab.org/libcalendaring/libcalendaring-4.9.1.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libical)
BuildRequires:  make
BuildRequires:  qt4-devel


%description
Advanced calendaring library for Kolab, based on parts of KDE = 4.9
This package is only required for building kolab-utils and only as long as kolab-utils isn't ported
to KF5/QT5. After porting, this package can be obsoleted.


#main package (contains .so.[major]. only)
%package -n     %{libname}
Summary:        Library for Calendaring
Group:          System/Servers
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Advanced calendaring library for Kolab, based on parts of KDE >= 4.9


%package -n     %{develname}
Summary:        Development headers
Group:          System/Servers
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are development headers. Don't bother.

%prep
%setup -q

%build

%cmake \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DLIB_INSTALL_DIR=%{_libdir} \
    -DQT_NO_DEBUG_OUTPUT=1 \
    -DQT_NO_WARNING_OUTPUT=1 \
    ..


%install
%makeinstall_std -C build

 
%files -n %{libname}
%{_libdir}/libcalendaring-*.so.%{major}*

%files -n %{develname}
%{_includedir}/calendaring
%{_libdir}/libcalendaring*.so
%{_libdir}/libcalendaring*.a



%changelog
* Tue Jan 26 2016 spuhler <spuhler> 4.9.1-1.mga6
+ Revision: 927934
- first build for mageia
  * libs have been mageiafied
- imported package libcalendaring


* Mon Feb 23 2015 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 4.9.1-1
- New upstream version 4.9.1

* Fri Aug  3 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 4.9.0-1
- New upstream version 4.9.0

* Wed Jul 25 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 4.9-1
- This too is a package
